# Crashpad: crashpad::test::TestPaths Class Reference

crashpad::test::TestPaths Class Reference

Functions to obtain paths from within tests. More...

`#include "test/test_paths.h"`

## Public Member Functions

| DISALLOW_IMPLICIT_CONSTRUCTORS (TestPaths)

## Static Public Member Functions

static base::FilePath | Executable ()
| Returns the pathname of the currently-running test executable. More...
static base::FilePath | TestDataRoot ()
| Returns the pathname of the test data root. More...

## Detailed Description

Functions to obtain paths from within tests.

## Member Function Documentation

## Executable()

base::FilePath crashpad::test::TestPaths::Executable | ( |  | ) |

static

Returns the pathname of the currently-running test executable.

On failure, aborts execution.

## TestDataRoot()

base::FilePath crashpad::test::TestPaths::TestDataRoot | ( |  | ) |

static

Returns the pathname of the test data root.

If the `CRASHPAD_TEST_DATA_ROOT` environment variable is set, its value will be returned. Otherwise, this function will attempt to locate the test data root relative to the executable path. If this fails, it will fall back to returning the current working directory.

At present, the test data root is normally the root of the Crashpad source tree, although this may not be the case indefinitely. This function may only be used to locate test data, not for arbitrary access to source files.

The documentation for this class was generated from the following files:

- test/test_paths.h
- test/test_paths.cc